# Uses of Class
org.apache.sling.event.impl.jobs.JobConsumerManager

Packages that use JobConsumerManager
Package
Description
org.apache.sling.event.impl.jobs.queues

## Uses of JobConsumerManager in org.apache.sling.event.impl.jobs.queues

Fields in org.apache.sling.event.impl.jobs.queues declared as JobConsumerManager
Modifier and Type
Field
Description
`JobConsumerManager`
QueueServices.`jobConsumerManager`
Methods in org.apache.sling.event.impl.jobs.queues with parameters of type JobConsumerManager
Modifier and Type
Method
Description
`JobHandler`
QueueJobCache.`getNextJob(JobConsumerManager jobConsumerManager, StatisticsManager statisticsManager, org.apache.sling.event.jobs.Queue queue, boolean doFull)`
Get the next job.
`static QueueManager`
QueueManager.`newForTest(org.osgi.service.event.EventAdmin eventAdmin, JobConsumerManager jobConsumerManager, org.apache.sling.event.jobs.jmx.QueuesMBean queuesMBean, org.apache.sling.commons.threads.ThreadPoolManager threadPoolManager, org.apache.sling.commons.threads.ThreadPool threadPool, JobManagerConfiguration configuration, StatisticsManager statisticsManager)`